=== debian/changelog ===
nvidia-cudnn-frontend (0.8+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1031972)

 -- Mo Zhou <lumin@debian.org>  Sun, 26 Feb 2023 00:37:52 -0500
