## nvidia-cudnn-frontend 0.9.2%2Bds

=== debian/changelog ===
nvidia-cudnn-frontend (0.9.2+ds-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 0.9.2+ds
    Please pin to this version for PyTorch/v2.1.X
  * add the missing content in copyright

  [ Andreas Beckmann ]
  * add salsa-ci.yml

 -- Mo Zhou <lumin@debian.org>  Wed, 28 Feb 2024 12:08:38 -0500
