=== samples/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 FetchContent_MakeAvailable(Catch2)
 
 # Find cudnn
-include(${CMAKE_SOURCE_DIR}/cmake/cuDNN.cmake)
+include(${CMAKE_CURRENT_SOURCE_DIR}/../cmake/cuDNN.cmake)
 
 add_executable(
     samples
@@ -27,7 +27,10 @@
     fusion_sample.cpp 
     fp8_sample.cpp 
     mha_sample.cpp
+    norm_samples.cpp
     fused_mha_sample.cpp
+    f16_flash_mha_sample.cpp
+    fp8_flash_mha_sample.cpp
 )
 
 if(DEFINED ENV{NO_DEFAULT_IN_SWITCH})
