=== debian/control ===
Source: nvidia-cudnn-frontend
Section: contrib/libdevel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13)
Homepage: https://github.com/NVIDIA/cudnn-frontend
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cudnn-frontend
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cudnn-frontend.git
Rules-Requires-Root: no

Package: libcudnn-frontend-dev
Section: contrib/libdevel
Architecture: all
Depends: ${misc:Depends}, nvidia-cudnn, nlohmann-json3-dev,
Description: c++ wrapper for the cudnn backend API (development files)
 The cuDNN frontend API is a C++ header-only library that wraps the cuDNN C
 backend API. Both the frontend and backend APIs are entry points to the same
 set of functionality that we commonly refer to as the "graph API".
 .
 While there are two entry points to the graph API (i.e. backend and frontend),
 we expect that most users will use the frontend entry point because:
 .
 It is less verbose without loss of control. All functionality accessible
 through the backend API is also accessible through the frontend API.  It adds
 functionality on top of the backend API, like errata filters and autotuning.
 Also, for those who want to use the backend API, the frontend source can serve
 as a reference implementation.
 .
 This is a header-only C++ library.
