=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	-$(RM) -rfv include/contrib 
	-sed -e s@contrib/nlohmann/json/json.hpp@/usr/include/nlohmann/json.hpp@g \
		-i include/cudnn_frontend_Errata.h 

override_dh_auto_build:
	:

override_dh_auto_install:
	dh_auto_install
