=== debian/changelog ===
nvidia-cudnn-frontend (1.6.1+ds-1) unstable; urgency=medium

  * New upstream version 1.6.1+ds
    Please pin to this version for PyTorch/v2.4.X
  * rules: Specify build system to be none to avoid build failure.
  * rules: Update rules to get rid of the embedded nlohman/json.hpp
  * d/copyright: update for path change.

 -- Mo Zhou <lumin@debian.org>  Thu, 03 Oct 2024 02:05:56 -0400
