=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=none

override_dh_auto_configure:
	-$(RM) -rfv include/cudnn_frontend/thirdparty
	-sed -e s@cudnn_frontend/thirdparty/nlohmann/json.hpp@/usr/include/nlohmann/json.hpp@g \
		-i include/cudnn_frontend_utils.h

override_dh_auto_build:
	:
