## nvidia-cudnn-frontend 1.8.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.17)
 
-project(cudnn_frontend VERSION 1.6.1)
+project(cudnn_frontend VERSION 1.8.0)
 
 option(CUDNN_FRONTEND_SKIP_JSON_LIB "Defines whether FE should not include nlohmann/json.hpp." OFF)
 option(CUDNN_FRONTEND_BUILD_SAMPLES "Defines if samples are built or not." ON)
-option(CUDNN_FRONTEND_BUILD_UNIT_TESTS "Defines if unittests are built or not." ON)
+option(CUDNN_FRONTEND_BUILD_TESTS "Defines if unittests are built or not." ON)
 
 if(MSVC OR MSYS OR MINGW)
     option(CUDNN_FRONTEND_BUILD_PYTHON_BINDINGS "Defines if python bindings are built or not." OFF)
@@ -28,13 +28,11 @@
 )
 
 # Find the cuda compiler
-find_package(CUDAToolkit)
+find_package(CUDAToolkit REQUIRED)
 
-target_link_libraries(
+target_include_directories(
     cudnn_frontend INTERFACE
-
-    CUDA::cudart
-    CUDA::nvrtc
+    ${CUDAToolkit_INCLUDE_DIRS}
 )
 
 target_compile_features(cudnn_frontend INTERFACE cxx_std_17)
@@ -47,7 +45,7 @@
     add_subdirectory(samples)
 endif()
 
-if (CUDNN_FRONTEND_BUILD_UNIT_TESTS)
+if (CUDNN_FRONTEND_BUILD_TESTS)
     add_subdirectory(test)
 endif()
