=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)

add_subdirectory(cpp)
