=== debian/changelog ===
nvidia-cudnn-frontend (1.8.0+ds-1) unstable; urgency=medium

  * New upstream version 1.8.0+ds
    Please pin to this version for PyTorch/v2.6.X
  * Install upstream samples as examples.

  [ Andreas Beckmann ]
  * Fix building twice in a row.
  * Simplify rules.
  * Refresh d/copyright.
  * Add upstream metadata.

 -- Mo Zhou <lumin@debian.org>  Tue, 04 Feb 2025 12:53:04 -0500
