=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Rules-Requires-Root: no
 
 Package: libcudnn-frontend-dev
-Section: contrib/libdevel
 Architecture: all
 Depends: ${misc:Depends}, nvidia-cudnn, nlohmann-json3-dev,
 Description: c++ wrapper for the cudnn backend API (development files)
