=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=none

override_dh_install:
	dh_install -X/thirdparty/
